Bug 838272 - SELinux is preventing /usr/lib/xen/bin/qemu-dm from 'create' accesses on the tun_socket .
SELinux is preventing /usr/lib/xen/bin/qemu-dm from 'create' accesses on the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:14a3bb6547c98e69882d8bfe1fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 03:19 EDT by roddy
Modified: 2012-07-21 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-21 18:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roddy 2012-07-08 03:19:15 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           dim. 08 juil. 2012 11:18:37 RET

description:
:SELinux is preventing /usr/lib/xen/bin/qemu-dm from 'create' accesses on the tun_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that qemu-dm should be allowed create access on the  tun_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep qemu-dm /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xend_t:s0
:Target Context                system_u:system_r:xend_t:s0
:Target Objects                 [ tun_socket ]
:Source                        qemu-dm
:Source Path                   /usr/lib/xen/bin/qemu-dm
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           xen-runtime-4.1.2-20.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1
:                              SMP Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    dim. 08 juil. 2012 11:16:07 RET
:Last Seen                     dim. 08 juil. 2012 11:16:07 RET
:Local ID                      a7e4b747-ebb8-43c8-8116-1601d05f4793
:
:Raw Audit Messages
:type=AVC msg=audit(1341731767.139:128): avc:  denied  { create } for  pid=2101 comm="qemu-dm" scontext=system_u:system_r:xend_t:s0 tcontext=system_u:system_r:xend_t:s0 tclass=tun_socket
:
:
:type=SYSCALL msg=audit(1341731767.139:128): arch=x86_64 syscall=ioctl success=yes exit=0 a0=5 a1=400454ca a2=7fffc471bd20 a3=7fffc471ba80 items=0 ppid=807 pid=2101 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=qemu-dm exe=/usr/lib/xen/bin/qemu-dm subj=system_u:system_r:xend_t:s0 key=(null)
:
:Hash: qemu-dm,xend_t,xend_t,tun_socket,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-09 04:56:08 EDT
Fixed in selinux-policy-3.10.0-138.fc17.noarch
Comment 2 Fedora Update System 2012-07-18 09:04:43 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-140.fc17
Comment 3 Fedora Update System 2012-07-19 05:11:37 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10840/selinux-policy-3.10.0-140.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-21 18:51:54 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.